%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-beets
Version:        1.0
Release:        0.1.b6%{?dist}
Summary:        A media library management system for organized geeks
Group:          Applications/Multimedia
License:        MIT
URL:            http://beets.radbox.org/
Source0:        http://beets.googlecode.com/files/beets-1.0b6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python-munkres
Requires:       python-musicbrainz2
Requires:       python-mutagen


%description
The purpose of beets is to get your music collection right once and
for all. It catalogs your collection, automatically improving its
metadata as it goes using the MusicBrainz database. (It also downloads
cover art for albums it imports.) Then it provides a bouquet of tools
for manipulating and accessing your music.

Because beets is designed as a library, you can easily write Python
programs that manipulate your music for you. Report tracks encoded at
less than 192kbps? Done. Find albums you're missing from bands you like?
Convert everything to Title Case once and for all? Done and done.

Beets also includes a music player that speaks the MPD protocol, so you
can play music in your beets library using a staggering variety of
interfaces.


%prep
%setup -q -n beets-1.0b6


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc NEWS README.rst
%{python_sitelib}/*
%{_bindir}/beet


%changelog
* Fri Apr 1 2011 Conrad Meyer <konrad@tylerc.org> - 1.0-0.1.b6
- Initial spec
